Update task

Update an existing task

PUT
/tasks/{taskId}
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

Path Parameters

taskIdstring

Task ID

Task update input

description?string

Description updates the additional details about the task.

endedAt?string

EndedAt updates when the task execution completed.

errors?array<bv.Error>

Errors contains any errors that occurred during task execution.

executorId?string

ExecutorID updates which executor should handle this task.

input?unknown

Input updates the input data for the task execution.

output?unknown

Output updates the result data from task execution.

params?object

Params updates the task-specific parameters as key-value pairs.

Empty Object

parentId?string

ParentID updates the parent task link for hierarchical task structures.

startedAt?string

StartedAt updates when the task execution began.

status?TaskStatus

Status updates the current status of the task (e.g., running, completed, failed).

title?string

Title updates the human-readable title for the task.

Response Body

curl -X PUT "https://eu1.api.bivariant.com/v1/tasks/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "appId": "string",
  "authorId": "string",
  "children": [
    {
      "appId": "string",
      "authorId": "string",
      "children": [],
      "createdAt": "string",
      "description": "string",
      "endedAt": "string",
      "errors": [
        {
          "code": "string",
          "message": "string"
        }
      ],
      "executorId": "string",
      "id": "string",
      "input": null,
      "kind": "default",
      "organizationId": "string",
      "output": null,
      "params": {
        "property1": null,
        "property2": null
      },
      "parentId": "string",
      "startedAt": "string",
      "stateId": "string",
      "status": "created",
      "targetId": "string",
      "title": "string",
      "updatedAt": "string"
    }
  ],
  "createdAt": "string",
  "description": "string",
  "endedAt": "string",
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "executorId": "string",
  "id": "string",
  "input": null,
  "kind": "default",
  "organizationId": "string",
  "output": null,
  "params": {
    "property1": null,
    "property2": null
  },
  "parentId": "string",
  "startedAt": "string",
  "stateId": "string",
  "status": "created",
  "targetId": "string",
  "title": "string",
  "updatedAt": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}